CVE-2006-3240
CVSS4.3
发布时间 :2006-06-27 06:05:00
修订时间 :2011-03-07 21:38:09
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in classes/ui.class.php in dotProject 2.0.3 and earlier allows remote attackers to inject arbitrary web script or HTML via the login parameter.


[CNNVD]dotProject UI.Class.PHP 跨站脚本攻击漏洞(CNNVD-200606-518)

        dotProject 2.0.3及更早版本的classes/ui.class.php中的跨站脚本攻击(XSS)漏洞,可让远程攻击者通过login参数注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)

cpe:/a:dotproject:dotproject:2.0
cpe:/a:dotproject:dotproject:2.0.3
cpe:/a:dotproject:dotproject:2.0.2
cpe:/a:dotproject:dotproject:2.0.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3240
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-3240
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-518
(官方数据源) CNNVD

- 其它链接及资源

http://sourceforge.net/project/shownotes.php?release_id=427236
(PATCH)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=427236
http://secunia.com/advisories/20822
(VENDOR_ADVISORY)  SECUNIA  20822
http://dotproject.cvs.sourceforge.net/dotproject/dotproject/classes/ui.class.php?r1=1.113&r2=1.114
(PATCH)  CONFIRM  http://dotproject.cvs.sourceforge.net/dotproject/dotproject/classes/ui.class.php?r1=1.113&r2=1.114
http://xforce.iss.net/xforce/xfdb/27585
(UNKNOWN)  XF  dotproject-classesuiclass-xss(27585)
http://www.vupen.com/english/advisories/2006/2509
(UNKNOWN)  VUPEN  ADV-2006-2509
http://www.securityfocus.com/bid/18650
(UNKNOWN)  BID  18650
http://jvn.jp/jp/JVN%2339188922/index.html
(UNKNOWN)  JVN  JVN#39188922

- 漏洞信息

dotProject UI.Class.PHP 跨站脚本攻击漏洞
中危 跨站脚本
2006-06-27 00:00:00 2006-06-28 00:00:00
远程  
        dotProject 2.0.3及更早版本的classes/ui.class.php中的跨站脚本攻击(XSS)漏洞,可让远程攻击者通过login参数注入任意Web脚本或HTML。

- 公告与补丁

        目前厂商已经发布了相关补丁,请到厂商的主页下载:
        Dotproject Dotproject 2.0
        Dotproject dotproject-2.0.4.tar.gz
        http://prdownloads.sourceforge.net/dotproject/dotproject-2.0.4.tar.gz
        Dotproject Dotproject 2.0.1
        Dotproject dotproject-2.0.4.tar.gz
        http://prdownloads.sourceforge.net/dotproject/dotproject-2.0.4.tar.gz
        Dotproject Dotproject 2.0.3
        Dotproject dotproject-2.0.4.tar.gz
        http://prdownloads.sourceforge.net/dotproject/dotproject-2.0.4.tar.gz
        

- 漏洞信息

26805
dotProject classes/ui.class.php login Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-06-22 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.0.4 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站